Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd.continuation
Class ContinuationClient

    java.lang.Object
      org.mortbay.cometd.ClientImpl
          org.mortbay.cometd.continuation.ContinuationClient

All Implemented Interfaces:
  org.cometd.Client

    public class ContinuationClient

extends ClientImpl

Extension of `ClientImpl` that uses `Continuation`s to resume clients waiting for messages. Continuation clients are used for remote clients and have removed if they are not accessed within an idle timeout (@link `ContinuationBayeux#_clientTimer`).

Author:
  gregw

Constructor Summary
`protected` | `ContinuationClient(ContinuationBayeux bayeux)`

Method Summary
`void` | `access()`
`Continuation` | `getContinuation()`
`boolean` | `isLocal()`
`long` | `lastAccessed()`
`void` | `lazyResume()` Called by deliver to resume anything waiting on this client lazily
`void` | `remove(boolean wasTimeout)`
`void` | `resume()` Called by deliver to resume anything waiting on this client.
`void` | `setContinuation(Continuation continuation)`

Methods inherited from class org.mortbay.cometd.ClientImpl
`addExtension, addListener, addSubscription, deliver, deliverLazy, disconnect, doDeliverListeners, doDelivery, endBatch, equals, getAdvice, getBrowserId, getConnectionType, getId, getInterval, getLag, getMaxQueue, getMessages, getQueue, getSubscriptions, getTimeout, hasMessages, hasNonLazyMessages, isExpired, isMetaConnectDeliveryOnly, removeExtension, removeListener, removeSubscription, responded, responsePending, returnMessages, setAdvice, setBrowserId, setConnectionType, setId, setInterval, setLag, setMaxQueue, setMetaConnectDeliveryOnly, setTimeout, startBatch, takeMessages, toString, unsubscribeAll`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContinuationClient

    protected ContinuationClient(ContinuationBayeux bayeux)

Method Detail

### setContinuation

    public void setContinuation(Continuation continuation)

### getContinuation

    public Continuation getContinuation()

### lazyResume

    public void lazyResume()

  Description copied from class: `ClientImpl`
  Called by deliver to resume anything waiting on this client lazily

  Overrides:
    `lazyResume` in class `ClientImpl`

### resume

    public void resume()

  Description copied from class: `ClientImpl`
  Called by deliver to resume anything waiting on this client.

  Overrides:
    `resume` in class `ClientImpl`

### isLocal

    public boolean isLocal()

  Specified by:
    `isLocal` in interface `org.cometd.Client`
  Overrides:
    `isLocal` in class `ClientImpl`

### access

    public void access()

### lastAccessed

    public long lastAccessed()

### remove

    public void remove(boolean wasTimeout)

  Overrides:
    `remove` in class `ClientImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.